Index: /palm/trunk/SOURCE/calc_precipitation.f90
===================================================================
--- /palm/trunk/SOURCE/calc_precipitation.f90	(revision 1352)
+++ /palm/trunk/SOURCE/calc_precipitation.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -90,5 +90,5 @@
        REAL(wp)    ::  dqdt_precip !:
 
-       precipitation_rate = 0.0
+       precipitation_rate = 0.0_wp
 
        DO  i = nxl, nxr
@@ -99,5 +99,5 @@
                    dqdt_precip = prec_time_const * ( ql(k,j,i) - ql_crit )
                 ELSE
-                   dqdt_precip = 0.0
+                   dqdt_precip = 0.0_wp
                 ENDIF
                 tend(k,j,i) = tend(k,j,i) - dqdt_precip
@@ -154,5 +154,5 @@
        REAL(wp)    ::  dqdt_precip !:       
 
-       precipitation_rate(j,i) = 0.0
+       precipitation_rate(j,i) = 0.0_wp
 
 !
@@ -164,5 +164,5 @@
              dqdt_precip = prec_time_const * ( ql(k,j,i) - ql_crit )
           ELSE
-             dqdt_precip = 0.0
+             dqdt_precip = 0.0_wp
           ENDIF
           tend(k,j,i) = tend(k,j,i) - dqdt_precip
Index: /palm/trunk/SOURCE/calc_radiation.f90
===================================================================
--- /palm/trunk/SOURCE/calc_radiation.f90	(revision 1352)
+++ /palm/trunk/SOURCE/calc_radiation.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -55,5 +55,5 @@
     
     LOGICAL, SAVE ::  first_call = .TRUE. !:
-    REAL(wp), SAVE ::  sigma = 5.67E-08   !:
+    REAL(wp), SAVE ::  sigma = 5.67E-08_wp   !:
 
     REAL(wp), DIMENSION(:), ALLOCATABLE, SAVE ::  lwp_ground         !:
@@ -126,5 +126,5 @@
 !--          Compute the liquid water path (LWP) and blackbody_emission
 !--          at all vertical levels
-             lwp_ground(nzb) = 0.0
+             lwp_ground(nzb) = 0.0_wp
              lwp_top(nzt+1)  = rho_surface * ql(nzt+1,j,i) * dzw(nzt+1)
 
@@ -156,5 +156,5 @@
 !
 !--          See Chlond '92, this is just a first guess
-             impinging_flux_at_top = blackbody_emission(nzb) - 100.0
+             impinging_flux_at_top = blackbody_emission(nzb) - 100.0_wp
 
              DO  k = nzb_2d(j,i)+1, nzt
@@ -162,15 +162,15 @@
 !--             Save some computational time, but this may cause load
 !--             imbalances if ql is not distributed uniformly
-                IF ( ql(k,j,i) /= 0.0 ) THEN
+                IF ( ql(k,j,i) /= 0.0_wp ) THEN
 !
 !--                Compute effective emissivities
-                   effective_emission_up_p   = 1.0 -                           &
-                                               EXP( -130.0 * lwp_ground(k+1) )
-                   effective_emission_up_m   = 1.0 -                           &
-                                               EXP( -130.0 * lwp_ground(k-1) )
-                   effective_emission_down_p = 1.0 -                           &
-                                               EXP( -158.0 * lwp_top(k+1) )
-                   effective_emission_down_m = 1.0 -                           &
-                                               EXP( -158.0 * lwp_top(k-1) )  
+                   effective_emission_up_p   = 1.0_wp -                        &
+                                               EXP( -130.0_wp * lwp_ground(k+1) )
+                   effective_emission_up_m   = 1.0_wp -                        &
+                                               EXP( -130.0_wp * lwp_ground(k-1) )
+                   effective_emission_down_p = 1.0_wp -                        &
+                                               EXP( -158.0_wp * lwp_top(k+1) )
+                   effective_emission_down_m = 1.0_wp -                        &
+                                               EXP( -158.0_wp * lwp_top(k-1) )  
 
 !
@@ -266,5 +266,5 @@
 !--    Compute the liquid water path (LWP) and blackbody_emission
 !--    at all vertical levels
-       lwp_ground(nzb) = 0.0
+       lwp_ground(nzb) = 0.0_wp
        lwp_top(nzt+1)  = rho_surface * ql(nzt+1,j,i) * dzw(nzt+1)
 
@@ -293,5 +293,5 @@
 !
 !--    See Chlond '92, this is just a first guess
-       impinging_flux_at_top = blackbody_emission(nzb) - 100.0
+       impinging_flux_at_top = blackbody_emission(nzb) - 100.0_wp
 
        DO  k = nzb_2d(j,i)+1, nzt
@@ -299,15 +299,15 @@
 !--       Store some computational time,
 !--       this may cause load imbalances if ql is not distributed uniformly
-          IF ( ql(k,j,i) /= 0.0 ) THEN
+          IF ( ql(k,j,i) /= 0.0_wp ) THEN
 !
 !--          Compute effective emissivities
-             effective_emission_up_p   = 1.0 -                                 &
-                                         EXP( -130.0 * lwp_ground(k+1) )
-             effective_emission_up_m   = 1.0 -                                 &
-                                         EXP( -130.0 * lwp_ground(k-1) )
-             effective_emission_down_p = 1.0 -                                 &
-                                         EXP( -158.0 * lwp_top(k+1) )
-             effective_emission_down_m = 1.0 -                                 &
-                                         EXP( -158.0 * lwp_top(k-1) )  
+             effective_emission_up_p   = 1.0_wp -                              &
+                                         EXP( -130.0_wp * lwp_ground(k+1) )
+             effective_emission_up_m   = 1.0_wp -                              &
+                                         EXP( -130.0_wp * lwp_ground(k-1) )
+             effective_emission_down_p = 1.0_wp -                              &
+                                         EXP( -158.0_wp * lwp_top(k+1) )
+             effective_emission_down_m = 1.0_wp -                              &
+                                         EXP( -158.0_wp * lwp_top(k-1) )  
              
 !
Index: /palm/trunk/SOURCE/check_for_restart.f90
===================================================================
--- /palm/trunk/SOURCE/check_for_restart.f90	(revision 1352)
+++ /palm/trunk/SOURCE/check_for_restart.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -125,5 +125,5 @@
 !
 !-- Set the stop flag also, if restart is forced by user
-    IF ( time_restart /= 9999999.9  .AND.                                      &
+    IF ( time_restart /= 9999999.9_wp  .AND.                                      &
          time_restart < time_since_reference_point )  THEN
 
@@ -136,8 +136,8 @@
 !--       Increment restart time, if forced by user, otherwise set restart
 !--       time to default (no user restart)
-          IF ( dt_restart /= 9999999.9 )  THEN
+          IF ( dt_restart /= 9999999.9_wp )  THEN
              time_restart = time_restart + dt_restart
           ELSE
-             time_restart = 9999999.9
+             time_restart = 9999999.9_wp
           ENDIF
 
@@ -156,5 +156,5 @@
                .AND.  terminate_coupled_remote == 0 )  THEN
 
-             IF ( dt_restart /= 9999999.9 )  THEN
+             IF ( dt_restart /= 9999999.9_wp )  THEN
                 terminate_coupled = 4
              ELSE
@@ -174,5 +174,5 @@
           ENDIF
        ELSE
-          time_restart = 9999999.9
+          time_restart = 9999999.9_wp
        ENDIF
     ENDIF
Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 1352)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 1353)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute,
+! declaration for unused variables xkoor, ykoor, zkoor removed
 ! 
 ! Former revisions:
@@ -147,19 +148,16 @@
     LOGICAL ::  twoya = .TRUE.                !:
 
-    REAL(wp) ::  ansx = -999.999 !:
-    REAL(wp) ::  ansy = -999.999 !:
-    REAL(wp) ::  gwid = 0.1      !:
-    REAL(wp) ::  rlegfak = 1.5   !:
-    REAL(wp) ::  sizex = 250.0   !:
-    REAL(wp) ::  sizey = 40.0    !:
-    REAL(wp) ::  texfac = 1.5    !:
+    REAL(wp) ::  ansx = -999.999_wp !:
+    REAL(wp) ::  ansy = -999.999_wp !:
+    REAL(wp) ::  gwid = 0.1_wp      !:
+    REAL(wp) ::  rlegfak = 1.5_wp   !:
+    REAL(wp) ::  sizex = 250.0_wp   !:
+    REAL(wp) ::  sizey = 40.0_wp    !:
+    REAL(wp) ::  texfac = 1.5_wp    !:
 
     REAL(wp), DIMENSION(:), ALLOCATABLE      ::  eta !:
     REAL(wp), DIMENSION(:), ALLOCATABLE      ::  ho  !:
     REAL(wp), DIMENSION(:), ALLOCATABLE      ::  hu  !:
-    
-    REAL(sp), DIMENSION(:), ALLOCATABLE ::  xkoor !:
-    REAL(sp), DIMENSION(:), ALLOCATABLE ::  ykoor !:
-    REAL(sp), DIMENSION(:), ALLOCATABLE ::  zkoor !:  
+ 
 
 
@@ -363,11 +361,11 @@
 !--          Determine and write ISO2D coordiante header
              ALLOCATE( eta(0:ny+1), ho(0:nx+1), hu(0:nx+1) )
-             hu = 0.0
+             hu = 0.0_wp
              ho = (ny+1) * dy
              DO  i = 1, ny
-                eta(i) = REAL( i ) / ( ny + 1.0 )
+                eta(i) = REAL( i ) / ( ny + 1.0_wp )
              ENDDO
-             eta(0)    = 0.0
-             eta(ny+1) = 1.0
+             eta(0)    = 0.0_wp
+             eta(ny+1) = 1.0_wp
 
              WRITE (21)  dx,eta,hu,ho
@@ -396,11 +394,11 @@
 !--          Determine and write ISO2D coordinate header
              ALLOCATE( eta(0:nz+1), ho(0:nx+1), hu(0:nx+1) )
-             hu = 0.0
+             hu = 0.0_wp
              ho = zu(nz+1)
              DO  i = 1, nz
                 eta(i) = REAL( zu(i) ) / zu(nz+1)
              ENDDO
-             eta(0)    = 0.0
-             eta(nz+1) = 1.0
+             eta(0)    = 0.0_wp
+             eta(nz+1) = 1.0_wp
 
              WRITE (22)  dx,eta,hu,ho
@@ -429,11 +427,11 @@
 !--          Determine and write ISO2D coordiante header
              ALLOCATE( eta(0:nz+1), ho(0:ny+1), hu(0:ny+1) )
-             hu = 0.0
+             hu = 0.0_wp
              ho = zu(nz+1)
              DO  i = 1, nz
                 eta(i) = REAL( zu(i) ) / zu(nz+1)
              ENDDO
-             eta(0)    = 0.0
-             eta(nz+1) = 1.0
+             eta(0)    = 0.0_wp
+             eta(nz+1) = 1.0_wp
 
              WRITE (23)  dx,eta,hu,ho
